# El método de Newton
# en la versión para encontrar el cero de una función
#
import sys

# El valor inicial lo pedimos en la línea de comandos
n = len( sys.argv )
if n != 2 :
	print( "Args: a0" )
	sys.exit(1)

a = float (sys.argv[1] )

def f(x) :
	return x*x - 2.0

def fp(x) :
	return 2.0*x

i=1
while i <= 20 :
	d = -f(a)/fp(a)

	if abs(d) < 1e-8 :
		break

	print( i, a )

	a += d	
	i += 1

print( a, f(a) )
